Loading...
Searching...
No Matches
etl::ireference_counter Class Referenceabstract

The base of all reference counters. More...

`#include <reference_counted_object.h>`

## Public Member Functions

virtual void | set_reference_count (int32_t value)=0
virtual void | increment_reference_count ()=0
virtual ETL_NODISCARD int32_t | decrement_reference_count ()=0
virtual ETL_NODISCARD int32_t | get_reference_count () const =0

## Detailed Description

The base of all reference counters.

## Member Function Documentation

## decrement_reference_count()

virtual ETL_NODISCARD int32_t etl::ireference_counter::decrement_reference_count | ( |  | ) |

pure virtual

Implemented in etl::reference_counter< TCounter >, and etl::reference_counter< void >.

## get_reference_count()

virtual ETL_NODISCARD int32_t etl::ireference_counter::get_reference_count | ( |  | ) | const

pure virtual

Implemented in etl::reference_counter< TCounter >, and etl::reference_counter< void >.

## increment_reference_count()

virtual void etl::ireference_counter::increment_reference_count | ( |  | ) |

pure virtual

Implemented in etl::reference_counter< TCounter >, and etl::reference_counter< void >.

## set_reference_count()

virtual void etl::ireference_counter::set_reference_count | ( | int32_t | value | ) |

pure virtual

Implemented in etl::reference_counter< TCounter >, and etl::reference_counter< void >.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_object.h